version: 1
name: Build/boot duration of the Linux kernel
description: Build and QEMU boot duration of the Linux kernel with clang
jobs:
- name: arm64-defconfig
  builds:
    # build 1
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: cb351ccc1ff15e41115805fadcc7e431f159d43a9d073f6ecfad7f793c7f456f, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: cb351ccc1ff15e41115805fadcc7e431f159d43a9d073f6ecfad7f793c7f456f, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: cb351ccc1ff15e41115805fadcc7e431f159d43a9d073f6ecfad7f793c7f456f, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: cb351ccc1ff15e41115805fadcc7e431f159d43a9d073f6ecfad7f793c7f456f, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: cb351ccc1ff15e41115805fadcc7e431f159d43a9d073f6ecfad7f793c7f456f, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: cb351ccc1ff15e41115805fadcc7e431f159d43a9d073f6ecfad7f793c7f456f, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: cb351ccc1ff15e41115805fadcc7e431f159d43a9d073f6ecfad7f793c7f456f, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: cb351ccc1ff15e41115805fadcc7e431f159d43a9d073f6ecfad7f793c7f456f, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: cb351ccc1ff15e41115805fadcc7e431f159d43a9d073f6ecfad7f793c7f456f, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: cb351ccc1ff15e41115805fadcc7e431f159d43a9d073f6ecfad7f793c7f456f, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
  test:
      device: qemu-arm64
